<template>
  <v-form>
    <v-container>

      <v-row>
        <v-col cols="12">
          <v-text-field
            @input= "setProjectName"
            :value="projectName"
            maxlength="255"
            label="Project Name" hint="For example, https://gitlab.com/demos/applications/gitlab-jump-start" persistent-hint
            filled
          ></v-text-field>
        </v-col>
      </v-row>

      <v-row>
        <v-col cols="12" sm="4" md="4">
          <v-checkbox label="Scoped Labels"></v-checkbox>
          <v-checkbox label="Issue Boards"></v-checkbox>
          <v-checkbox label="Epics"></v-checkbox>
          <v-checkbox label="Checkbox"></v-checkbox>
        </v-col>
        <v-col cols="12" sm="4" md="4">
          <v-checkbox label="Issue Templates"></v-checkbox>
          <v-checkbox label="Merge Request Templates"></v-checkbox>
          <v-checkbox label="Comment Templates"></v-checkbox>
          <v-checkbox label="Push Rules"></v-checkbox>
        </v-col>
        <v-col cols="12" sm="4" md="4">
          <v-checkbox label="Compliance Framework"></v-checkbox>
          <v-checkbox label="Security Scanners"></v-checkbox>
          <v-checkbox label="Security Policies"></v-checkbox>
          <v-checkbox label="License Policies"></v-checkbox>
        </v-col>
      </v-row>

      <v-row>
        <v-col cols="12">
          <v-select
            @input="setFeatures"
            :value="Features"
            :items="featureList"
            filled
            chips
            label="Features"
            hint="Select features for your project. Required"
            persistent-hint>
          </v-select>
        </v-col>
      </v-row>
    </v-container>
  </v-form>
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator'
import { Action, State } from 'vuex-class'
import { Features } from '../types/features'
import { blogTags } from '../types/blogtags'

@Component
export default class FeatureForm extends Vue {
  featureList = Features
  blogTagsList = blogTags

  @State gitlabProjectID!: string
  @State projectName!: string
  @State category!: string

  @Action setGitlabProjectID!: (val: string) => void
  @Action setProjectName!: (val: string) => void
  @Action setFeatures!: (val: Array<string>) => void
  @Action logout!: () => void

  get vueInstance (): Vue {
    return this
  }
}
</script>
